aboutsummaryrefslogtreecommitdiff
path: root/ryuglab_scripts/30-compile
diff options
context:
space:
mode:
authorKarel Kočí <kocikare@fel.cvut.cz>2015-08-08 10:44:54 +0200
committerKarel Kočí <cynerd@email.cz>2015-08-12 10:22:55 +0200
commit9b35e3880a5c0deaa554cd14cd9717719630e10c (patch)
tree0159c3214743937c12bfe4eb6906ea4a2173f78c /ryuglab_scripts/30-compile
parent4ef85ff52f3283ef6950b44e34f580cdc483bed2 (diff)
downloadlinux-conf-perf-9b35e3880a5c0deaa554cd14cd9717719630e10c.tar.gz
linux-conf-perf-9b35e3880a5c0deaa554cd14cd9717719630e10c.tar.bz2
linux-conf-perf-9b35e3880a5c0deaa554cd14cd9717719630e10c.zip
Remove script for generating configuration
Also folder measure_scripts renamed to ryuglab_scripts to signalize for what target are those scripts.
Diffstat (limited to 'ryuglab_scripts/30-compile')
-rwxr-xr-xryuglab_scripts/30-compile12
1 files changed, 12 insertions, 0 deletions
diff --git a/ryuglab_scripts/30-compile b/ryuglab_scripts/30-compile
new file mode 100755
index 0000000..29da38a
--- /dev/null
+++ b/ryuglab_scripts/30-compile
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -e
+
+cd ../linux
+
+export ARCH=powerpc
+export CROSS_COMPILE=/opt/OSELAS.Toolchain-2012.12.1/powerpc-603e-linux-gnu/gcc-4.7.2-glibc-2.16.0-binutils-2.22-kernel-3.6-sanitized/bin/powerpc-603e-linux-gnu-
+
+test -t 0 || CHRONIC=chronic
+
+$CHRONIC make -j$(nproc) uImage